Skip to main content
GET
List a rep's calls

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rep_id
string
required
Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

since
string<date-time>

ISO 8601 timestamp including a time-zone offset.

until
string<date-time>

ISO 8601 timestamp including a time-zone offset.

rep_id
string

Stable Parlay resource UUID.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
type
enum<string>
Available options:
live,
practice,
runpod-v4,
all_day_segment,
spot
outcome
enum<string>
Available options:
sold,
lost,
canceled
limit
integer

Maximum results per page; up to 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from the previous response; keep other filters unchanged.

Required string length: 1 - 4096

Response

Successful scoped read.

data
object[]
required
has_more
boolean
required

Whether another page is available.

next_cursor
string | null
required

Opaque cursor; null when no page remains.